<section id="call-to-action">
    <div class="container">
        <div class="col-lg-12 text-center">
            <h3 class="cta-title" >RESERVA ONLINE EL TURNO QUE ESTAS BUSCANDO</h3>
            <h5 class="cta-text">Fácil, rápido y seguro </h5>
            <link href="https://fonts.googleapis.com/css?family=Audiowide" rel="stylesheet">
            <!--  Card -->
            <div class="row">
                <!--  1 Secion de fecha-->
                <div class="col-sm-4" id="seccionFecha">
                    <h5 class="card-title" style="color: #79A504; font-family: 'Audiowide', cursive; text-shadow: 2px 2px 2px black;">SELECIONE UNA FECHA</h5>
                    {{> 'utilidades/frm_calendario'}}
                    <div id="fechaNoValida" style="border-radius: 4px" class="alert alert-danger" style="">Fecha no valida</div>
                </div>
                <!--  2 Seccion de reserva-->
                <div class="col-sm-6" id="seccionResreva">
                    <!--titulo de horarios-->
                    <h5 style="color: #79A504; font-family: 'Audiowide', cursive; text-shadow: 2px 2px 2px black;">CANCHAS Y HORARIOS DISPONIBLES</h5>
                    <div class="card-title" style="color: #E79C21;font-family: 'Audiowide', cursive; text-shadow: 2px 2px 2px black;"><b id="fecha_reserva"></b></div>
                    <!--inicio de formulario-->
                    <form id="formReserva" method="POST">
                        <!--imputs cancha-->
                        <input type="hidden" id="fechaHiden" name="fechaHiden">
                        <!--imputs cancha-->
                        <div class="form-group row">
                            <label for="inputPassword" class="col-sm-4 col-form-label labelReserva"><b>Cancha</b></label>
                            <div class="col-sm-8">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><img src="images/icons/cancha.ico" style="width: 23px;"></div>
                                    </div>
                                    <select class="form-control" name="cancha" id="cancha">
                                        {{#each cancha}}
                                        <option value="{{this.id}}" >Cancha {{this.nroCancha}}</option>
                                        {{/each}}
                                    </select>
                                    {{#each cancha}}
                                    <input type="hidden" id="cancha{{this.id}}" value="{{this.precio}}">
                                    {{/each}}
                                </div>
                            </div>
                        </div>
                        <!--imputs hora inicio-->
                        <div class="form-group row">
                            <label for="inputPassword" class="col-sm-4 col-form-label labelReserva"><b>Hora de Inico</b></label>
                            <div class="col-sm-8">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><img src="images/icons/reloj.ico" style="width: 23px;"></div>
                                    </div>
                                    <select class="form-control" name="horaEntrada" id="horaEntrada"></select>
                                </div>
                            </div>
                        </div>
                        <!--imputs hora fin-->
                        <div class="form-group row">
                            <label for="inputPassword" class="col-sm-4 col-form-label labelReserva"><b>Hora de Fin</b></label>
                            <div class="col-sm-8">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><img src="images/icons/reloj.ico" style="width: 23px;"></div>
                                    </div>
                                    <select class="form-control" name="horaSalida" id="horaSalida"></select>
                                </div>
                                <div style="border-radius: 4px" class="alert alert-danger" id="mensajeErrorHorario">Hora igual o inferior a la  hora inicial</div>
                            </div>
                        </div>
                        <!--boton Reservar-->
                        <button type="submit" class="btn btn-success" id="guardar_Rerva">RESERVA</button>
                    </form>
                </div>
            </div>

        </div>
        <!--  Fin Card -->
    </div>
</section>
<script>
    $(document).ready(function () {
        $('#fechaHiden').val(fechaActual());//enviar a un input la fecha actual
        $('b#fecha_reserva').html("Fecha a reservar " + fechaActual());
        btnReservar();
        $("#mensajeErrorHorario").hide();//ocultar mensaje de error horario
        $('#fechaNoValida').hide();// ocultar mensaje error de fecha
    });

    function btnReservar() {
        var idC = $('#cancha').val();
        var pu = $('#cancha' + idC).val();
        var pt = pu;
        //envio de fecha actual Sa vista
        cargarHorario($('#fechaHiden').val(), $('#cancha').val());
        $('#cancha').change(function () {
            cargarHorario($('#fechaHiden').val(), $('#cancha').val()); //cargar horario con la fecha y la cancha selecionado
             var idH1 = $('#horaEntrada').val(); //obtener el id del horario 1
            var idH2 = $('#horaSalida').val(); //obtener el id del horario 2
            pu = $('#cancha' + $('#cancha').val()).val(); //obtener el valor unitario
            var h1 = $('select[name="horaEntrada"] option:selected').text();//restar los :00 de la hora1
            var H1 = h1.substr(0, h1.length - 3) * 1; //obtener la hora 1 en entero
            var h2 = $('select[name="horaSalida"] option:selected').text(); //restar los :00 de la hora2
            var H2 = h2.substr(0, h2.length - 3) * 1; //obtener la hora 2 en entero
            var horas = H2 - H1; //ver la diferencia de horas que hay para calcular precio
            if (idH1 !== idH2) {
                pt = pu * horas; //si es diferente las horas se multiplica por el precio unitario para obtener el precio total
            } else {
                pt = pu;
            }
            $('#horaSalida').val(idH1);
            $('#formReserva').attr('action', '/guardar_reserva/' + pu + '/' + pt + '/' + $('#horaEntrada').val()); //action para el formulario
        });
        /*CAMBIO DE HORA ENTRADA*/
        $('#horaEntrada').change(function () {
            var idH1 = $('#horaEntrada').val(); //obtener el id del horario 1
            var idH2 = $('#horaSalida').val(); //obtener el id del horario 2
            pu = $('#cancha' + $('#cancha').val()).val(); //obtener el valor unitario
            var h1 = $('select[name="horaEntrada"] option:selected').text();//restar los :00 de la hora1
            var H1 = h1.substr(0, h1.length - 3) * 1; //obtener la hora 1 en entero
            var h2 = $('select[name="horaSalida"] option:selected').text(); //restar los :00 de la hora2
            var H2 = h2.substr(0, h2.length - 3) * 1; //obtener la hora 2 en entero
            var horas = H2 - H1; //ver la diferencia de horas que hay para calcular precio
            if (idH1 !== idH2) {
                pt = pu * horas; //si es diferente las horas se multiplica por el precio unitario para obtener el precio total
            } else {
                pt = pu;
            }
            $('#horaSalida').val(idH1);
            $('#formReserva').attr('action', '/guardar_reserva/' + pu + '/' + pt + '/' + $('#horaEntrada').val()); //action para el formulario
        });

        /*---CAMBIO DE HORA FINAL--*/
        $('#horaSalida').change(function () {
            var idH1 = $('#horaEntrada').val(); //obtener el id del horario 1
            var idH2 = $('#horaSalida').val(); //obtener el id del horario 2
            pu = $('#cancha' + $('#cancha').val()).val(); //obtener el valor unitario
            var h1 = $('select[name="horaEntrada"] option:selected').text();
            var H1 = h1.substr(0, h1.length - 3) * 1; //obtener la hora 1
            var h2 = $('select[name="horaSalida"] option:selected').text();
            var H2 = h2.substr(0, h2.length - 3) * 1; //obtener la hora 2
            var horas = H2 - H1; //ver la diferencia de horas que hay para calcular precio
            if (idH1 !== idH2) {
                pt = pu * horas; //si es diferente las horas se multiplica por el precio unitario para obtener el precio total
            } else {
                pt = pu;
            }
            /*Mensajes de hora*/
            if (H2 < H1 || H1 === H2) {
                $("#mensajeErrorHorario").show(); //mostrar mensaje
                setTimeout(function () {
                    $("#mensajeErrorHorario").fadeOut(3000);
                }, 1500); //desaparecer en 2 s
                $('#horaSalida').val(idH1);
            }
            /*--calcular el total de reservas--*/
            var cant = '';
            if (H2 > H1) {
                $("#horaSalida option").each(function () {
                    if ($(this).attr('value') >= $('#horaEntrada').val() && $(this).attr('value') <= $('#horaSalida').val()) {
                        cant += $(this).attr('value') + ' ';
                    }
                });
            }
            /*--action para el formulario--*/
            $('#formReserva').attr('action', '/guardar_reserva/' + pu + '/' + pt + '/' + cant); //action para el formulario
        });
        $('#formReserva').attr('action', '/guardar_reserva/' + pu + '/' + pt + '/' + $('#horaEntrada').val()); //action para el formulario
    }
    function desaBtnReservar(estado) {
        $("#guardar_Rerva").attr('disabled', estado);
    }
    function cargarHorario(fecha, cancha) {
        $.ajax({
            url: '/listaHorarios/' + fecha + '/' + cancha,
            type: 'GET',
            dataType: 'JSON',
            success: function (data, textStatus, jqXHR) {
                var html = "";
                var html2 = "";
                if (data.length > 0) {
                    $.each(data, function (i, item) {
                        html += '<option value="' + item.idHorario + '" id="hI' + i + '">' + item.horaInicio + '</option>';
                        html2 += '<option value="' + item.idHorario + '">' + item.horaFin + '</option>';
                    });
                    desaBtnReservar(false);//habilitar boton reservar si hay datos
                } else {
                    html += '<option value="" selected="selected" disabled><b>No hay horarios</b></option>'; //mensaje no hay horarios disponibles
                    html2 += '<option value="" selected="selected" disabled><b>No hay horarios</b></option>'; //mensaje no hay horarios disponibles
                    desaBtnReservar(true); //Desabilitar boton si no hay horarios
                }
                $("#horaEntrada").html(html);
                $("#horaSalida").html(html2);
            },
            error: function (jqXHR, textStatus, errorThrown) {
                console.log(jqXHR.responseText);
            }
        });
    }
</script>